Freeciv-3.1: Data Fields

Freeciv-3.1

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - n -

- n : astring, city_sum, gen234_state
- n_alloc : astring, utf8_str
- name : achievement, advance, agent, ai_type, audio_plugin, city, citystyle, client_option, command, dem_row, disaster_type, drawing_data, editor_tool, effect_edit, entry, extra_type, fileinfo, fix_enabler_item, generate_packets.Packet, generate_packets.Variant, global_worklist, goods_type, government, impr_type, install_info, mapdef, menu_entry_info, multiplier, nation_city, nation_group, nation_leader, nation_set, nation_style, objprop, option::option_common_vtable, output_type, packet_city_info, packet_city_name_suggestion_info, packet_city_rename, packet_city_short_info, packet_edit_city, packet_edit_player, packet_nation_select_req, packet_player_info, packet_ruleset_achievement, packet_ruleset_building, packet_ruleset_city, packet_ruleset_control, packet_ruleset_disaster, packet_ruleset_extra, packet_ruleset_extra_flag, packet_ruleset_goods, packet_ruleset_government, packet_ruleset_multiplier, packet_ruleset_style, packet_ruleset_tech, packet_ruleset_tech_class, packet_ruleset_tech_flag, packet_ruleset_terrain, packet_ruleset_terrain_flag, packet_ruleset_unit, packet_ruleset_unit_class, packet_ruleset_unit_class_flag, packet_ruleset_unit_flag, packet_save_scenario, packet_scenario_info, packet_server_setting_const, packet_unit_do_action, player, plocation, plrdata_slot, req_vec_fix_item, section, section_file, server::players, server_option, setting, signal_callback, specialist, tab_achievement, tab_building, tab_extras, tab_good, tab_gov, tab_misc, tab_multiplier, tab_tech, tab_terrains, tab_unit, tech_class, terrain, text_tag, theme, tileset, unit_class, unit_type, user_flag, veteran_level, vision_site
- name_accessor : client_option
- name_edit : nation_info
- name_given() : tab_achievement, tab_building, tab_extras, tab_good, tab_gov, tab_multiplier, tab_tech, tab_terrains, tab_unit
- name_label : city_dialog
- name_next : nation_info
- name_prev : nation_info
- name_shell : cma_dialog
- named_teams : civ_game
- names : packet_ruleset_nation_sets
- nargs : luascript_func, signal
- nation : nation_info, packet_edit_player, packet_player_info, packet_ruleset_government_ruler_title, player, pregame_options, ruledit_gui, server::players, universals_u
- nation_button : fc_client
- nation_citizens : packet_city_nationalities
- nation_count : packet_ruleset_control
- nation_flag : named_sprites
- nation_id : packet_city_nationalities
- nation_iter : startpos_iter
- nation_no : packet_nation_select_req
- nation_selected() : plr_widget, races_dialog
- nation_shield : named_sprites
- nation_style : nation_info
- nation_tabs : races_dialog
- nationalities_count : packet_city_nationalities
- nationality : city, packet_unit_info, unit, universals_u
- nationality_table : city_dialog
- nationgroup : universals_u
- nationlist : civ_game, rule_data, tab_nation
- nationlist_saved : rule_data
- nationlist_toggle() : tab_nation
- nations : packet_edit_startpos_full, startpos
- nations_tabs_list : races_dialog
- nationset : civ_game
- nationset_change : packet_nation_availability
- nationset_changed() : races_dialog
- native_bases : unit_class
- native_tile_extras : unit_class
- native_to : extra_type, packet_ruleset_extra, packet_ruleset_terrain, terrain
- natives_layout : edit_extra, edit_terrain
- natural_city_names : civ_game
- nbarbarians : civserver
- nc_agovs : civ_game
- nc_astyles : civ_game
- nc_aterrs : civ_game
- ncount : packet_nation_availability
- ndata : socket_packet_buffer
- need_boat : adv_choice
- need_pc : vote
- need_updates : city
- needed : effect_list_cb_data, effect_list_multiplier_data
- needs_arrange : city
- needs_refresh : city
- negate : pf_pattern
- negative_year_label : packet_calendar_info
- negcaps : generate_packets.Variant
- negdesc : city_sum
- nelements : genlist
- netwait : civ_game
- new_citizens_radio : city_dialog
- new_tr_cities : trade_city
- new_turn_icon : theme_icons
- next : genhash_entry, genlist_link, iterator, option::option_common_vtable, ttf_font_chain, utf8_char, widget
- next_butt : help_dialog
- next_button : voteinfo_bar
- next_city() : city_dialog
- next_city_but : city_dialog
- next_command : city_dialog
- next_unit() : choice_dialog
- ngroups : packet_ruleset_nation, packet_ruleset_nation_groups
- no : generate_packets.Variant, packet_vote_update, vote, voteinfo
- no_act_nation : ane_expl
- no_act_terrain : ane_expl
- no_button : voteinfo_bar
- no_count_label : voteinfo_bar
- no_handle : generate_packets.Packet
- no_more_stack_sprites : named_sprites
- no_packet : generate_packets.Packet, generate_packets.Variant, packet_handlers
- no_shrink : genhash
- no_startpos : nation_type
- no_tgt_utype : ane_expl
- no_war_with : ane_expl
- node : node_and_float
- node_height : tree_node
- node_known_type : pf_danger_node, pf_fuel_node, pf_normal_node
- node_width : tree_node
- node_x : tree_node
- node_y : tree_node
- nodes : reqtree
- non_native_def_pct : packet_ruleset_unit_class, unit_class
- nonnative : named_sprites
- normal_tile_height : tileset
- normal_tile_width : tileset
- notebook : city_dialog, Diplomacy_notebook, gui_dialog, option_dialog, property_editor, unit_select_dialog
- notify_city_changed() : city_model
- notify_dialog() : notify_dialog
- notify_goto() : notify_goto
- notify_of_writable_data : connection
- notify_parent() : close_widget
- notify_plr_changed() : plr_model
- notradesize : packet_game_info
- noun_plural : nation_type, packet_ruleset_nation
- nplayers : server
- nprovide : tree_node
- nr_units : qfc_units_list
- nrequire : tree_node
- nreturns : luascript_func
- nsets : packet_ruleset_nation, packet_ruleset_nation_sets
- nsize : socket_packet_buffer
- nturns_idle : packet_edit_player, packet_player_info, player
- nuclear : adv_data
- nuclear_winter : civ_game, packet_game_info
- nuclear_winter_percent : civ_game
- nuclearwinter : packet_game_info
- nuke : animation, named_sprites
- nuke_defender_survival_chance_pct : packet_game_info
- nuke_pop_loss_pct : packet_game_info
- nuke_tile : animation
- num : effect_list_fill_data, packet_spaceship_place, spaceship_component
- num_achievement_types : packet_ruleset_control
- num_base_types : packet_ruleset_control
- num_buckets : genhash
- num_cardinal_dirs : civ_map
- num_cardinal_tileset_dirs : tileset
- num_continents : adv_data, civ_map
- num_disaster_types : packet_ruleset_control
- num_entries : genhash, section_file
- num_extra_types : packet_ruleset_control
- num_goods_types : packet_ruleset_control
- num_impr_types : packet_ruleset_control
- num_includes : section_file
- num_index_cardinal : tileset
- num_index_valid : tileset
- num_iterate_outwards_indices : civ_map
- num_known_tech_with_flag : research
- num_layers : drawing_data, reqtree
- num_long_comments : section_file
- num_multipliers : packet_ruleset_control
- num_music_styles : packet_ruleset_control
- num_nation_groups : packet_ruleset_control
- num_nation_sets : packet_ruleset_control
- num_nodes : reqtree
- num_oceans : adv_data, civ_map
- num_parts : goto_map
- num_phases : civ_game
- num_players : tai_thr, texai_thr
- num_preferred_themes : tileset
- num_reqs : advance, packet_ruleset_tech
- num_required_techs : research::research_invention
- num_resource_types : packet_ruleset_control
- num_resources : packet_ruleset_terrain
- num_road_types : packet_ruleset_control
- num_specialist_types : packet_ruleset_control
- num_stack_sprites : named_sprites
- num_styles : city_sprite, packet_ruleset_control
- num_suggested_solutions : req_vec_problem
- num_tech_classes : packet_ruleset_control
- num_tech_types : packet_ruleset_control
- num_themes : theme_directory
- num_unit_classes : packet_ruleset_control
- num_unit_types : packet_ruleset_control
- num_valid_dirs : civ_map
- num_valid_tileset_dirs : tileset
- num_vectors() : fix_enabler_item, req_vec_fix_item
- num_voters : packet_vote_update, voteinfo
- number : option::option_common_vtable, plocation, tree_node, uvb_data
- numeric_value : datum